#!/bin/sh

# All Rights Reserved * Licensed Materials - Property of IBM
# 5724-I63, 5724-H88, 5655-N01, 5733-W60 (C) COPYRIGHT International Business Machines Corp., 1997,2009
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.

# Launch OSGi Console in order to debug

# Launch Arguments:
#   none
#

binDir=`dirname $0`
. $binDir/setupCmdLine.sh

if [ -n "$USER_INSTALL_ROOT" ] && [ "$USER_INSTALL_ROOT" != "$WAS_HOME" ] && [ -f "$USER_INSTALL_ROOT"/configuration/config.ini ]; then
  rm "$USER_INSTALL_ROOT"/configuration/config.ini
fi

"$JAVA_HOME"/bin/java \
  "$OSGI_INSTALL" "$OSGI_CFG" \
  -classpath "$WAS_CLASSPATH" \
  org.eclipse.core.launcher.Main  -nosplash -console -consoleLog -application com.ibm.ws.debug.osgi.StartConsole


launchExit=$?
exit `expr $launchExit + $?`
~